import dateFns from 'date-fns/locale/es';
import timeAgo from 'javascript-time-ago/locale/es';

import markdownEditor from './markdown-editor.json';

export default {
  dateFns,
  timeAgo,
  markdownEditor,

  format: {
    date: 'M/d/yyyy',
    time: 'p',
    dateTime: '$t(format:date) $t(format:time)',
    longDate: 'MMM d',
    longDateTime: "MMMM d 'a' p",
    fullDate: 'MMM d, y',
    fullDateTime: "MMMM d, y 'a' p",
  },

  translation: {
    common: {
      aboutPlanka: 'Acerca de PLANKA',
      account: 'Cuenta',
      actions: 'Acciones',
      activateUser_title: 'Activar usuario',
      active: 'Activo',
      addAttachment_title: 'Añadir un adjunto',
      addCustomFieldGroup_title: 'Añadir campos personalizados',
      addCustomField_title: 'Añadir campo personalizado',
      addManager_title: 'Añadir administrador',
      addMember_title: 'Añadir un miembro',
      addTaskList_title: 'Añadir lista de tareas',
      addUser_title: 'Añadir usuario',
      admin: 'Administrador',
      administration: 'Administración',
      all: 'Todos',
      allChangesWillBeAutomaticallySavedAfterConnectionRestored:
        'Todos los cambios serán automáticamente guardados<br />después de que se restaure la conexión.',
      alphabetically: 'Alfabéticamente',
      alwaysDisplayCardCreator: 'Mostrar siempre el creador de la tarjeta',
      archive: 'Archivar',
      archiveCard_title: 'Archivar tarjeta',
      archiveCards_title: 'Archivar tarjetas',
      areYouSureYouWantToActivateThisUser: '¿Estás seguro de que quieres activar este usuario?',
      areYouSureYouWantToArchiveCards: '¿Estás seguro de que quieres archivar las tarjetas?',
      areYouSureYouWantToArchiveThisCard: '¿Estás seguro de que quieres archivar esta tarjeta?',
      areYouSureYouWantToAssignThisProjectManagerAsOwner:
        '¿Estás seguro de que quieres asignar este administrador de proyecto como propietario?',
      areYouSureYouWantToDeactivateThisUser:
        '¿Estás seguro de que quieres desactivar este usuario?',
      areYouSureYouWantToDeleteThisAttachment: '¿Estás seguro de que quieres borrar este adjunto?',
      areYouSureYouWantToDeleteThisBackgroundImage:
        '¿Estás seguro de que quieres eliminar esta imagen de fondo?',
      areYouSureYouWantToDeleteThisBoard: '¿Estás seguro de que quieres borrar este tablero?',
      areYouSureYouWantToDeleteThisCard: '¿Estás seguro de que quieres borrar esta tarjeta?',
      areYouSureYouWantToDeleteThisCardForever:
        '¿Estás seguro de que quieres eliminar esta tarjeta para siempre?',
      areYouSureYouWantToDeleteThisComment: '¿Estás seguro de que quieres borrar este comentario?',
      areYouSureYouWantToDeleteThisCustomField:
        '¿Estás seguro de que quieres eliminar este campo personalizado?',
      areYouSureYouWantToDeleteThisCustomFieldGroup:
        '¿Estás seguro de que quieres eliminar estos campos personalizados?',
      areYouSureYouWantToDeleteThisLabel: '¿Estás seguro de que quieres borrar esta etiqueta?',
      areYouSureYouWantToDeleteThisList: '¿Estás seguro de que quieres borrar esta lista?',
      areYouSureYouWantToDeleteThisNotificationService:
        '¿Estás seguro de que quieres eliminar este servicio de notificaciones?',
      areYouSureYouWantToDeleteThisProject: '¿Estás seguro de que quieres borrar este proyecto?',
      areYouSureYouWantToDeleteThisTask: '¿Estás seguro de que quieres borrar esta tarea?',
      areYouSureYouWantToDeleteThisTaskList:
        '¿Estás seguro de que quieres eliminar esta lista de tareas?',
      areYouSureYouWantToDeleteThisUser: '¿Estás seguro de que quieres borrar este usuario?',
      areYouSureYouWantToEmptyTrash: '¿Estás seguro de que quieres vaciar la papelera?',
      areYouSureYouWantToLeaveBoard: '¿Estás seguro de que quieres abandonar el tablero?',
      areYouSureYouWantToLeaveProject: '¿Estás seguro de que quieres abandonar el proyecto?',
      areYouSureYouWantToMakeThisProjectShared:
        '¿Estás seguro de que quieres hacer este proyecto compartido?',
      areYouSureYouWantToRemoveThisManagerFromProject:
        '¿Estás seguro de que quieres eliminar este administrador del proyecto?',
      areYouSureYouWantToRemoveThisMemberFromBoard:
        '¿Estás seguro de que quieres eliminar este miembro del tablero?',
      assignAsOwner_title: 'Asignar como propietario',
      atLeastOneListMustBePresent: 'Debe haber al menos una lista',
      attachment: 'Adjunto',
      attachments: 'Adjuntos',
      authentication: 'Autenticación',
      background: 'Fondo',
      baseCustomFields_title: 'Campos personalizados base',
      baseGroup: 'Grupo base',
      board: 'Tablero',
      boardActions_title: 'Acciones del tablero',
      boardNotFound_title: 'Tablero no encontrado',
      boardSubscribed: 'Suscrito al tablero',
      boardUser: 'Usuario del tablero',
      byCreationTime: 'Por fecha de creación',
      byDefault: 'Por defecto',
      byDueDate: 'Por fecha de vencimiento',
      canBeInvitedToWorkInBoards: 'Puede ser invitado a trabajar en tableros.',
      canComment: 'Puede comentar',
      canCreateOwnProjectsAndBeInvitedToWorkInOthers:
        'Puede crear sus propios proyectos y ser invitado a trabajar en otros.',
      canEditBoardLayoutAndAssignMembersToCards:
        'Puede editar el diseño del tablero y asignar miembros a las tarjetas.',
      canManageSystemWideSettingsAndActAsProjectOwner:
        'Puede gestionar la configuración del sistema y actuar como propietario del proyecto.',
      canOnlyViewBoard: 'Solo puede ver el tablero.',
      cardActions_title: 'Acciones de las tarjetas',
      cardNotFound_title: 'tarjeta no encontrada',
      cardsOnThisListAreAvailableToAllBoardMembers:
        'Las tarjetas en esta lista están disponibles para todos los miembros del tablero.',
      cardsOnThisListAreCompleteAndReadyToBeArchived:
        'Las tarjetas en esta lista están completas y listas para ser archivadas.',
      cardsOnThisListAreReadyToBeWorkedOn:
        'Las tarjetas en esta lista están listas para ser trabajadas.',
      clickHereOrRefreshPageToUpdate: '<0>Haz clic aquí</0> o actualiza la página para actualizar.',
      closed: 'Cerrado',
      color: 'Color',
      comments: 'Comentarios',
      contentExceedsLimit: 'El contenido supera {{limit}}',
      copy_inline: 'copiar',
      createBoard_title: 'Crear Tablero',
      createCustomFieldGroup_title: 'Crear campos personalizados',
      createLabel_title: 'Crear Etiqueta',
      createNewOneOrSelectExistingOne: 'Crear uno nuevo o seleccionar<br />uno existente.',
      createProject_title: 'Crear Proyecto',
      createTextFile_title: 'Crear archivo de Texto',
      creator: 'Creador',
      currentPassword: 'Contraseña Actual',
      customFieldGroup_title: 'grupo de campos personalizados',
      customFieldGroups_title: 'Grupos de campos personalizados',
      customField_title: 'Campo personalizado',
      customFields_title: 'Campos personalizados',
      dangerZone_title: 'Zona de peligro',
      date: 'Fecha',
      deactivateUser_title: 'Desactivar usuario',
      defaultCardType_title: 'Tipo de tarjeta por defecto',
      defaultView_title: 'Vista por defecto',
      deleteAllBoardsToBeAbleToDeleteThisProject:
        'Elimina todos los tableros para poder eliminar este proyecto.',
      deleteAttachment_title: 'Borrar Adjunto',
      deleteBackgroundImage_title: 'Eliminar imagen de fondo',
      deleteBoard_title: 'Borrar Tablero',
      deleteCardForever_title: 'Eliminar tarjeta para siempre',
      deleteCard_title: 'Borrar tarjeta',
      deleteComment_title: 'Borrar Comentario',
      deleteCustomFieldGroup_title: 'Eliminar grupo de campos personalizados',
      deleteCustomField_title: 'Eliminar campo personalizado',
      deleteLabel_title: 'Borrar Etiqueta',
      deleteList_title: 'Borrar Lista',
      deleteNotificationService_title: 'Eliminar servicio de notificaciones',
      deleteProject_title: 'Borrar Proyecto',
      deleteTaskList_title: 'Eliminar lista de tareas',
      deleteTask_title: 'Borrar Tarea',
      deleteUser_title: 'Borrar Usuario',
      deletedUser_title: 'Usuario eliminado',
      description: 'Descripción',
      display: 'Mostrar',
      dropFileToUpload: 'Arrastra un archivo para subirlo',
      dueDate_title: 'Fecha de Vencimiento',
      dynamicAndUnevenlySpacedLayout: 'Diseño dinámico y espaciado irregularmente',
      editAttachment_title: 'Editar adjunto',
      editAvatar_title: 'Editar avatar',
      editColor_title: 'Editar color',
      editCustomFieldGroup_title: 'Editar grupo de campos personalizados',
      editCustomField_title: 'Editar campo personalizado',
      editDueDate_title: 'Editar Fecha de Vencimiento',
      editEmail_title: 'Editar Correo',
      editInformation_title: 'Editar información',
      editLabel_title: 'Editar Etiqueta',
      editPassword_title: 'Editar Contraseña',
      editPermissions_title: 'Editar permisos',
      editRole_title: 'Editar rol',
      editStopwatch_title: 'Editar Temporizador',
      editType_title: 'Editar tipo',
      editUsername_title: 'Editar nombre de usuario',
      editor: 'Editor',
      editors: 'Editores',
      email: 'Correo',
      emptyTrash_title: 'Vaciar papelera',
      enterCardTitle: 'Escribe el título de la tarjeta...',
      enterDescription: 'Escribe la descripción...',
      enterFilename: 'Escribe el nombre del archivo',
      enterListTitle: 'Escribe el título de la lista...',
      enterTaskDescription: 'Escribe la descripción de la tarea...',
      filterByLabels_title: 'Filtrar por Etiquetas',
      filterByMembers_title: 'Filtrar por Miembros',
      forPersonalProjects: 'Para proyectos personales',
      forTeamBasedProjects: 'Para proyectos en equipo',
      fromComputer_title: 'Desde Computador',
      fromTrello: 'Desde Trello',
      general: 'General',
      gradients: 'Gradientes',
      grid: 'Cuadrícula',
      hideFromProjectListAndFavorites: 'Ocultar de la lista de proyectos y favoritos',
      hours: 'Horas',
      importBoard_title: 'Importar tablero',
      invalidCurrentPassword: 'Contraseña actual inválida',
      kanban: 'Kanban',
      labels: 'Etiquetas',
      language: 'Idioma',
      leaveBoard_title: 'Abandonar tablero',
      leaveProject_title: 'Abandonar proyecto',
      limitCardTypesToDefaultOne: 'Limitar los tipos de tarjeta al predeterminado',
      list: 'Lista',
      listActions_title: 'Acciónes de Lista',
      lists: 'Listas',
      makeProjectShared_title: 'Hacer proyecto compartido',
      managers: 'Administradores',
      memberActions_title: 'Acciones de miembro',
      members: 'Miembros',
      minutes: 'Minutos',
      moveCard_title: 'Mover tarjeta',
      myOwn_title: 'Propios',
      name: 'Nombre',
      newEmail: 'Nuevo correo',
      newPassword: 'Nueva contraseña',
      newUsername: 'Nuevo nombre de usuario',
      newestFirst: 'Más reciente primero',
      noBoards: 'Sin tableros',
      noConnectionToServer: 'Sin conexión al servidor',
      noLists: 'Sin listas',
      noProjects: 'Sin proyectos',
      noUnreadNotifications: 'No hay notificaciones sin leer',
      notifications: 'Notificaciones',
      oldestFirst: 'Más antiguo primero',
      openBoard_title: 'Abrir Tablero',
      optional_inline: 'opcional',
      organization: 'Organización',
      others: 'Otros',
      phone: 'Teléfono',
      plankaUsesAppriseToSendNotificationsToOver100PopularServices:
        'PLANKA utiliza <1><0>Apprise</0></1> para enviar notificaciones a más de 100 servicios populares.',
      preferences: 'Preferencias',
      pressPasteShortcutToAddAttachmentFromClipboard:
        'Tip: presiona Ctrl-V (Cmd-V en Mac) para añadir adjuntos desde el portapapeles.',
      private: 'Privado',
      project: 'Proyecto',
      projectNotFound_title: 'Proyecto no encontrado',
      projectOwner: 'Propietario del proyecto',
      referenceDataAndKnowledgeStorage: 'Datos de referencia y almacenamiento de conocimiento',
      removeMember_title: 'Remover Miembro',
      role: 'Rol',
      searchCards: 'Buscar tarjetas...',
      searchCustomFieldGroups: 'Buscar grupos de campos personalizados...',
      searchCustomFields: 'Buscar campos personalizados...',
      searchLabels: 'Buscar etiquetas...',
      searchLists: 'Buscar listas...',
      searchMembers: 'Buscar miembros...',
      searchProjects: 'Buscar proyectos...',
      searchUsers: 'Buscar usuarios...',
      seconds: 'Segundos',
      selectAssignee_title: 'Seleccionar asignado',
      selectBoard: 'Seleccionar Tablero',
      selectList: 'Seleccionar Lista',
      selectListToRestoreThisCard: 'Seleccionar lista para restaurar esta tarjeta',
      selectOrder_title: 'Seleccionar orden',
      selectPermissions_title: 'Seleccionar permisos',
      selectProject: 'Seleccionar Proyecto',
      selectRole_title: 'Seleccionar rol',
      selectType_title: 'Seleccionar tipo',
      sequentialDisplayOfCards: 'Visualización secuencial de tarjetas',
      settings: 'Configuraciones',
      shared: 'Compartido',
      sharedWithMe_title: 'Compartido conmigo',
      showOnFrontOfCard: 'Mostrar en el frente de la tarjeta',
      sortList_title: 'Ordenar',
      stopwatch: 'Temporizador',
      story: 'Historia',
      subscribeToCardWhenCommenting: 'Suscribirme a la tarjeta al comentar',
      subscribeToMyOwnCardsByDefault: 'Suscribirme a mis propias tarjetas por defecto',
      taskActions_title: 'Acciones de Tareas',
      taskAssignmentAndProjectCompletion: 'Asignación de tareas y finalización del proyecto',
      taskListActions_title: 'Acciones de la lista de tareas',
      taskList_title: 'Lista de tareas',
      team: 'Equipo',
      thereIsNoPreviewAvailableForThisAttachment:
        'No hay vista previa disponible para este adjunto.',
      time: 'Tiempo',
      title: 'Título',
      trash: 'Papelera',
      trashHasBeenSuccessfullyEmptied: 'La papelera se ha vaciado correctamente.',
      turnOffRecentCardHighlighting: 'Desactivar el resaltado de tarjetas recientes',
      typeNameToConfirm: 'Escribe el nombre para confirmar',
      typeTitleToConfirm: 'Escribe el título para confirmar',
      unsavedChanges: 'Cambios no guardados',
      uploadedImages: 'Imágenes subidas',
      userActions_title: 'Acciones de Usuario',
      userAddedCardToList: '<0>{{user}}</0> añadió <2>{{card}}</2> a {{list}}',
      userAddedThisCardToList: '<0>{{user}}</0> añadido a esta tarjeta en {{list}}',
      userAddedUserToCard: '<0>{{actorUser}}</0> añadió {{addedUser}} a <4>{{card}}</4>',
      userAddedUserToThisCard: '<0>{{actorUser}}</0> añadió {{addedUser}} a esta tarjeta',
      userAddedYouToCard: '<0>{{user}}</0> te añadió a <2>{{card}}</2>',
      userCompletedTaskOnCard: '<0>{{user}}</0> completó {{task}} en <4>{{card}}</4>',
      userCompletedTaskOnThisCard: '<0>{{user}}</0> completó {{task}} en esta tarjeta',
      userJoinedCard: '<0>{{user}}</0> se unió a <2>{{card}}</2>',
      userJoinedThisCard: '<0>{{user}}</0> se unió a esta tarjeta',
      userLeftCard: '<0>{{user}}</0> salió de <2>{{card}}</2>',
      userLeftNewCommentToCard:
        '<0>{{user}}</0> dejó un nuevo comentario «{{comment}}» en <2>{{card}}</2>',
      userLeftThisCard: '<0>{{user}}</0> salió de esta tarjeta',
      userMarkedTaskIncompleteOnCard:
        '<0>{{user}}</0> marcó {{task}} como incompleta en <4>{{card}}</4>',
      userMarkedTaskIncompleteOnThisCard:
        '<0>{{user}}</0> marcó {{task}} como incompleta en esta tarjeta',
      userMovedCardFromListToList:
        '<0>{{user}}</0> movió <2>{{card}}</2> de {{fromList}} a {{toList}}',
      userMovedThisCardFromListToList:
        '<0>{{user}}</0> movió esta tarjeta de {{fromList}} a {{toList}}',
      userRemovedUserFromCard: '<0>{{actorUser}}</0> eliminó a {{removedUser}} de <4>{{card}}</4>',
      userRemovedUserFromThisCard: '<0>{{actorUser}}</0> eliminó a {{removedUser}} de esta tarjeta',
      username: 'Nombre de usuario',
      users: 'Usuarios',
      viewer: 'Visualizador',
      viewers: 'Visualizadores',
      visualTaskManagementWithLists: 'Gestión visual de tareas con listas',
      withoutBaseGroup: 'Sin grupo base',
      writeComment: 'Escribir un comentario...',
    },

    action: {
      activateUser: 'Activar usuario',
      activateUser_title: 'Activar usuario',
      addAnotherCard: 'Añadir otra tarjeta',
      addAnotherList: 'Añadir otra lista',
      addAnotherTask: 'Añadir otra tarea',
      addCard: 'Añadir tarjeta',
      addCard_title: 'Añadir tarjeta',
      addComment: 'Añadir comentario',
      addCustomField: 'Añadir campo personalizado',
      addCustomFieldGroup: 'Añadir campos personalizados',
      addList: 'Añadir lista',
      addMember: 'Añadir miembro',
      addMoreDetailedDescription: 'Añadir una descripción más detallada',
      addTask: 'Añadir tarea',
      addTaskList: 'Añadir lista de tareas',
      addToCard: 'Añadir a la tarjeta',
      addUser: 'Añadir usuario',
      archive: 'Archivar',
      archiveCard: 'Archivar tarjeta',
      archiveCard_title: 'Archivar tarjeta',
      archiveCards: 'Archivar tarjetas',
      archiveCards_title: 'Archivar tarjetas',
      assignAsOwner: 'Asignar como propietario',
      cancel: 'Cancelar',
      createBoard: 'Crear tablero',
      createCustomFieldGroup: 'Crear campos personalizados',
      createFile: 'Crear archivo',
      createLabel: 'Crear etiqueta',
      createNewLabel: 'Crear una nueva etiqueta',
      createProject: 'Crear proyecto',
      deactivateUser: 'Desactivar usuario',
      delete: 'Borrar',
      deleteAttachment: 'Borrar adjuntos',
      deleteAvatar: 'Borrar avatar',
      deleteBoard: 'Borrar tablero',
      deleteBoard_title: 'Borrar tablero',
      deleteCard: 'Borrar tarjeta',
      deleteCardForever: 'Eliminar tarjeta para siempre',
      deleteCard_title: 'Borrar tarjeta',
      deleteComment: 'Borrar comentario',
      deleteCustomField: 'Eliminar campo personalizado',
      deleteCustomFieldGroup: 'Eliminar grupo de campos personalizados',
      deleteForever_title: 'Eliminar para siempre',
      deleteGroup: 'Eliminar grupo',
      deleteLabel: 'Borrar etiqueta',
      deleteList: 'Borrar lista',
      deleteList_title: 'Borrar Lista',
      deleteNotificationService: 'Eliminar servicio de notificaciones',
      deleteProject: 'Borrar proyecto',
      deleteProject_title: 'Borrar Proyecto',
      deleteTask: 'Borrar tarea',
      deleteTaskList: 'Eliminar lista de tareas',
      deleteTask_title: 'Borrar Tarea',
      deleteUser: 'Borrar usuario',
      deleteUser_title: 'Borrar Usuario',
      dismissAll: 'Descartar todo',
      duplicate: 'Duplicar',
      duplicateCard_title: 'Duplicar tarjeta',
      edit: 'Editar',
      editColor_title: 'Editar color',
      editDescription_title: 'Editar Descripción',
      editDueDate_title: 'Editar Fecha de Vencimiento',
      editEmail_title: 'Editar Correo',
      editGroup: 'Editar grupo',
      editInformation_title: 'Editar información',
      editPassword_title: 'Editar Contraseña',
      editPermissions: 'Editar permisos',
      editRole_title: 'Editar rol',
      editStopwatch_title: 'Editar Temporizador',
      editTitle_title: 'Editar Título',
      editType_title: 'Editar tipo',
      editUsername_title: 'Editar Nombre de Usuario',
      emptyTrash: 'Vaciar papelera',
      emptyTrash_title: 'Vaciar papelera',
      import: 'Importar',
      join: 'Unirse',
      leave: 'Abandonar',
      logOut_title: 'Cerrar Sesión',
      makeCover_title: 'Hacer Cubierta',
      makeProjectShared: 'Hacer proyecto compartido',
      makeProjectShared_title: 'Hacer proyecto compartido',
      move: 'Mover',
      moveCard_title: 'Mover Tarjeta',
      remove: 'Remover',
      removeAssignee: 'Eliminar asignado',
      removeColor: 'Eliminar color',
      removeCover_title: 'Remover Cubierta',
      removeFromBoard: 'Eliminar del tablero',
      removeFromProject: 'Remover del Proyecto',
      removeMember: 'Remover miembro',
      restoreToList: 'Restaurar a {{list}}',
      returnToBoard: 'Volver al tablero',
      save: 'Guardar',
      showActive: 'Mostrar activos',
      showAllAttachments: 'Mostrar todos los adjuntos ({{hidden}} ocultos)',
      showCardsWithThisUser: 'Mostrar tarjetas con este usuario',
      showDeactivated: 'Mostrar desactivados',
      showFewerAttachments: 'Mostrar menos adjuntos',
      sortList_title: 'Ordenar',
      start: 'Iniciar',
      stop: 'Parar',
      subscribe: 'Suscribirse',
      unsubscribe: 'Desuscribirse',
      uploadNewAvatar: 'Subir un nuevo avatar',
      uploadNewImage: 'Subir una nueva imagen',
    },
  },
};
