import dateFns from 'date-fns/locale/zh-CN';
import timeAgo from 'javascript-time-ago/locale/zh';

import markdownEditor from './markdown-editor.json';

export default {
  dateFns,
  timeAgo,
  markdownEditor,

  format: {
    date: 'M/d/yyyy',
    time: 'p',
    dateTime: '$t(format:date) $t(format:time)',
    longDate: 'MMM d',
    longDateTime: "MMMM d 'at' p",
    fullDate: 'MMM d, y',
    fullDateTime: "MMMM d, y 'at' p",
  },

  translation: {
    common: {
      aboutPlanka: '关于 PLANKA',
      accessToken: '访问令牌',
      account: '账号',
      actions: '操作',
      activateUser_title: '激活用户',
      active: '活跃',
      addAttachment_title: '添加附件',
      addCustomFieldGroup_title: '添加自定义字段组',
      addCustomField_title: '添加自定义字段',
      addManager_title: '添加管理员',
      addMember_title: '添加成员',
      addTaskList_title: '添加任务列表',
      addUser_title: '添加用户',
      admin: '管理员',
      administration: '系统管理',
      all: '全部',
      allChangesWillBeAutomaticallySavedAfterConnectionRestored: '所有修改会在重连后自动保存',
      alphabetically: '按字母顺序',
      alwaysDisplayCardCreator: '始终显示卡片创建者',
      archive: '归档',
      archiveCard_title: '归档卡片',
      archiveCards_title: '归档多个卡片',
      areYouSureYouWantToActivateThisUser: '您确定要激活此用户吗？',
      areYouSureYouWantToArchiveCards: '您确定要归档这些卡片吗？',
      areYouSureYouWantToArchiveThisCard: '您确定要归档此卡片吗？',
      areYouSureYouWantToAssignThisProjectManagerAsOwner: '您确定要指定此项目管理人作为所有者吗？',
      areYouSureYouWantToDeactivateThisUser: '您确定要停用此用户吗？',
      areYouSureYouWantToDeleteThisAttachment: '确认删除此附件吗？',
      areYouSureYouWantToDeleteThisBackgroundImage: '您确定要删除此背景图片吗？',
      areYouSureYouWantToDeleteThisBoard: '确认删除此面板吗？',
      areYouSureYouWantToDeleteThisCard: '确认删除此卡片吗？',
      areYouSureYouWantToDeleteThisCardForever: '您确定要永久删除此卡片吗？',
      areYouSureYouWantToDeleteThisComment: '确认删除此评论吗？',
      areYouSureYouWantToDeleteThisCustomField: '您确定要删除此自定义字段吗？',
      areYouSureYouWantToDeleteThisCustomFieldGroup: '您确定要删除此自定义字段组吗？',
      areYouSureYouWantToDeleteThisLabel: '确认删除此标签吗？',
      areYouSureYouWantToDeleteThisList: '您确定要删除此列表吗？所有卡片将被移至回收站',
      areYouSureYouWantToDeleteThisNotificationService: '您确定要删除此通知服务吗？',
      areYouSureYouWantToDeleteThisProject: '确认删除此项目吗？',
      areYouSureYouWantToDeleteThisTask: '确认删除此任务吗？',
      areYouSureYouWantToDeleteThisTaskList: '您确定要删除此任务列表吗？',
      areYouSureYouWantToDeleteThisUser: '确认删除此用户吗？',
      areYouSureYouWantToDeleteThisWebhook: '您确定要删除此Webhook吗？',
      areYouSureYouWantToEmptyTrash: '您确定要清空回收站吗？',
      areYouSureYouWantToLeaveBoard: '确认离开此面板吗？',
      areYouSureYouWantToLeaveProject: '确认离开此项目吗？',
      areYouSureYouWantToMakeThisProjectShared: '您确定要将此项目设为共享吗？',
      areYouSureYouWantToRemoveThisManagerFromProject: '确认从本项目删除该管理员吗？',
      areYouSureYouWantToRemoveThisMemberFromBoard: '确认本面板删除该成员吗？',
      assignAsOwner_title: '指定为所有者',
      atLeastOneListMustBePresent: '至少需要存在一个列表',
      attachment: '附件',
      attachments: '多个附件',
      authentication: '认证',
      background: '背景',
      baseCustomFields_title: '基础自定义字段',
      baseGroup: '基础组',
      board: '面板',
      boardActions_title: '面板操作',
      boardNotFound_title: '面板不存在',
      boardSubscribed: '面板已订阅',
      boardUser: '面板用户',
      byCreationTime: '按创建时间',
      byDefault: '默认',
      byDueDate: '按截止日期',
      canBeInvitedToWorkInBoards: '可被邀请在面板中工作',
      canComment: '可以评论',
      canCreateOwnProjectsAndBeInvitedToWorkInOthers: '可创建自己的项目并被邀请参与其他项目',
      canEditBoardLayoutAndAssignMembersToCards: '可编辑面板布局并分配成员到卡片',
      canManageSystemWideSettingsAndActAsProjectOwner: '可管理系统设置并担任项目所有者',
      canOnlyViewBoard: '仅可查看面板',
      cardActions_title: '卡片操作',
      cardNotFound_title: '卡片不存在',
      cardsOnThisListAreAvailableToAllBoardMembers: '此列表中的卡片对所有面板成员可见',
      cardsOnThisListAreCompleteAndReadyToBeArchived: '此列表中的卡片已完成并准备归档',
      cardsOnThisListAreReadyToBeWorkedOn: '此列表中的卡片已准备就绪可开始工作',
      clickHereOrRefreshPageToUpdate: '<0>点击此处</0>或刷新页面更新',
      closed: '已关闭',
      color: '颜色',
      comments: '评论',
      contentExceedsLimit: '内容超过{{limit}}限制',
      contentOfThisAttachmentIsTooBigToDisplay: '此附件内容过大无法显示',
      copy_inline: '复制',
      createBoard_title: '创建面板',
      createCustomFieldGroup_title: '创建自定义字段组',
      createLabel_title: '创建标签',
      createNewOneOrSelectExistingOne: '创建一个新的或者选择一个已创建的',
      createProject_title: '创建项目',
      createTextFile_title: '创建文本文件',
      creator: '创建者',
      currentPassword: '当前密码',
      customFieldGroup_title: '自定义字段组',
      customFieldGroups_title: '自定义字段组',
      customField_title: '自定义字段',
      customFields_title: '自定义字段',
      dangerZone_title: '危险区域',
      date: '日期',
      deactivateUser_title: '停用用户',
      defaultCardType_title: '默认卡片类型',
      defaultView_title: '默认视图',
      deleteAllBoardsToBeAbleToDeleteThisProject: '删除所有面板后方可删除此项目',
      deleteAttachment_title: '删除附件',
      deleteBackgroundImage_title: '删除背景图片',
      deleteBoard_title: '删除面板',
      deleteCardForever_title: '永久删除卡片',
      deleteCard_title: '删除卡片',
      deleteComment_title: '删除评论',
      deleteCustomFieldGroup_title: '删除自定义字段组',
      deleteCustomField_title: '删除自定义字段',
      deleteLabel_title: '删除标签',
      deleteList_title: '删除列表',
      deleteNotificationService_title: '删除通知服务',
      deleteProject_title: '删除项目',
      deleteTaskList_title: '删除任务列表',
      deleteTask_title: '删除任务',
      deleteUser_title: '删除用户',
      deleteWebhook_title: '删除Webhook',
      deletedUser_title: '已删除用户',
      description: '描述',
      detectAutomatically: '自动检测',
      display: '显示',
      dropFileToUpload: '拖放文件以上传',
      dueDate_title: '截止日期',
      dynamicAndUnevenlySpacedLayout: '动态非均匀间隔布局',
      editAttachment_title: '编辑附件',
      editAvatar_title: '编辑头像',
      editColor_title: '编辑颜色',
      editCustomFieldGroup_title: '编辑自定义字段组',
      editCustomField_title: '编辑自定义字段',
      editDueDate_title: '编辑截止时间',
      editEmail_title: '编辑邮箱',
      editInformation_title: '编辑信息',
      editLabel_title: '编辑标签',
      editPassword_title: '修改密码',
      editPermissions_title: '修改权限',
      editRole_title: '编辑角色',
      editStopwatch_title: '修改时间',
      editType_title: '编辑类型',
      editUsername_title: '修改用户名',
      editor: '编辑器',
      editors: '编辑者',
      email: '邮箱',
      emptyTrash_title: '清空回收站',
      enterCardTitle: '输入卡片标题...',
      enterDescription: '输入描述...',
      enterFilename: '输入文件名',
      enterListTitle: '输入列表标题...',
      enterTaskDescription: '输入任务描述...',
      events: '事件',
      excludedEvents: '排除事件',
      filterByLabels_title: '通过标签筛选',
      filterByMembers_title: '通过成员筛选',
      forPersonalProjects: '用于个人项目',
      forTeamBasedProjects: '用于团队项目',
      fromComputer_title: '来自计算机',
      fromTrello: '来自 Trello',
      general: '全体',
      gradients: '渐变',
      grid: '网格',
      hideFromProjectListAndFavorites: '从项目列表和收藏中隐藏',
      hours: '小时',
      importBoard_title: '导入面板',
      invalidCurrentPassword: '当前密码错误',
      kanban: '看板',
      labels: '标签',
      language: '语言',
      leaveBoard_title: '离开面板',
      leaveProject_title: '离开项目',
      limitCardTypesToDefaultOne: '限制卡片类型为默认类型',
      list: '列表',
      listActions_title: '列表操作',
      lists: '列表',
      makeProjectShared_title: '将项目设为共享',
      managers: '管理员',
      memberActions_title: '成员操作',
      members: '成员',
      minutes: '分钟',
      moveCard_title: '移动卡片',
      myOwn_title: '我的',
      name: '姓名',
      newEmail: '新邮箱',
      newPassword: '新密码',
      newUsername: '新用户名',
      newVersionAvailable: '有新版本可用',
      newestFirst: '最新优先',
      noBoards: '没有面板',
      noConnectionToServer: '未连接服务器',
      noLists: '没有列表',
      noProjects: '没有项目',
      noUnreadNotifications: '没有未读通知',
      notifications: '通知',
      oldestFirst: '最旧优先',
      openBoard_title: '打开面板',
      optional_inline: '可选的',
      organization: '组织机构',
      others: '其他',
      phone: '电话',
      plankaUsesAppriseToSendNotificationsToOver100PopularServices:
        'PLANKA使用<1><0>Apprise</0></1>向100多个流行服务发送通知',
      preferences: '偏好',
      pressPasteShortcutToAddAttachmentFromClipboard:
        '提示: 按下 Ctrl-V (Mac: Cmd-V) 从剪切板添加附件',
      private: '私有',
      project: '项目',
      projectNotFound_title: '项目未找到',
      projectOwner: '项目所有者',
      referenceDataAndKnowledgeStorage: '参考数据和知识存储',
      removeManager_title: '删除管理员',
      removeMember_title: '删除成员',
      role: '角色',
      searchCards: '搜索卡片...',
      searchCustomFieldGroups: '搜索自定义字段组...',
      searchCustomFields: '搜索自定义字段...',
      searchLabels: '搜索标签...',
      searchLists: '搜索列表...',
      searchMembers: '搜索成员...',
      searchProjects: '搜索项目...',
      searchUsers: '搜索用户...',
      seconds: '秒',
      selectAssignee_title: '选择负责人',
      selectBoard: '选择面板',
      selectList: '选择列表',
      selectListToRestoreThisCard: '选择列表以恢复此卡片',
      selectOrder_title: '选择排序',
      selectPermissions_title: '选择权限',
      selectProject: '选择项目',
      selectRole_title: '选择角色',
      selectType_title: '选择类型',
      sequentialDisplayOfCards: '卡片顺序显示',
      settings: '设置',
      shared: '共享',
      sharedWithMe_title: '与我共享',
      showOnFrontOfCard: '在卡片正面显示',
      sortList_title: '排序列表',
      stopwatch: '计时器',
      story: '故事',
      subscribeToCardWhenCommenting: '评论时自动关注卡片',
      subscribeToMyOwnCardsByDefault: '默认关注自己创建的卡片',
      taskActions_title: '任务操作',
      taskAssignmentAndProjectCompletion: '任务分配和项目完成',
      taskListActions_title: '任务列表操作',
      taskList_title: '任务列表',
      team: '团队',
      thereIsNoPreviewAvailableForThisAttachment: '此附件无法预览',
      time: '时间',
      title: '标题',
      trash: '回收站',
      trashHasBeenSuccessfullyEmptied: '回收站已成功清空',
      turnOffRecentCardHighlighting: '关闭最近卡片高亮',
      typeNameToConfirm: '输入名称以确认',
      typeTitleToConfirm: '输入标题以确认',
      unsavedChanges: '未保存的更改',
      uploadedImages: '已上传图片',
      url: '网址',
      userActions_title: '用户操作',
      userAddedCardToList: '<0>{{user}}</0> 将 <2>{{card}}</2> 添加到 {{list}}',
      userAddedThisCardToList: '<0>{{user}}</0> 向列表 {{list}} 添加了该卡片',
      userAddedUserToCard: '<0>{{actorUser}}</0> 将 {{addedUser}} 添加到 <4>{{card}}</4>',
      userAddedUserToThisCard: '<0>{{actorUser}}</0> 将 {{addedUser}} 添加到此卡片',
      userAddedYouToCard: '<0>{{user}}</0> 将您添加到 <2>{{card}}</2>',
      userCompletedTaskOnCard: '<0>{{user}}</0> 在 <4>{{card}}</4> 上完成了 {{task}}',
      userCompletedTaskOnThisCard: '<0>{{user}}</0> 在此卡片上完成了 {{task}}',
      userJoinedCard: '<0>{{user}}</0> 加入了 <2>{{card}}</2>',
      userJoinedThisCard: '<0>{{user}}</0> 加入了此卡片',
      userLeftCard: '<0>{{user}}</0> 离开了 <2>{{card}}</2>',
      userLeftNewCommentToCard: '<0>{{user}}</0> 给 <2>{{card}}</2> 添加了一个新评论 «{{comment}}»',
      userLeftThisCard: '<0>{{user}}</0> 离开了此卡片',
      userMarkedTaskIncompleteOnCard:
        '<0>{{user}}</0> 在 <4>{{card}}</4> 上将 {{task}} 标记为未完成',
      userMarkedTaskIncompleteOnThisCard: '<0>{{user}}</0> 在此卡片上将 {{task}} 标记为未完成',
      userMentionedYouInCommentOnCard:
        '<0>{{user}}</0> 在 <2>{{card}}</2> 的评论 «{{comment}}» 中提到了您',
      userMovedCardFromListToList:
        '<0>{{user}}</0> 将卡片 <2>{{card}}</2> 从 {{fromList}} 移动到 {{toList}}',
      userMovedThisCardFromListToList: '<0>{{user}}</0> 将该卡片从 {{fromList}} 移动到 {{toList}}',
      userRemovedUserFromCard: '<0>{{actorUser}}</0> 将 {{removedUser}} 从 <4>{{card}}</4> 移除',
      userRemovedUserFromThisCard: '<0>{{actorUser}}</0> 将 {{removedUser}} 从此卡片移除',
      username: '用户名',
      users: '用户',
      viewer: '视图',
      viewers: '查看者',
      visualTaskManagementWithLists: '使用列表进行可视化任务管理',
      webhooks: 'Webhooks',
      withoutBaseGroup: '无基础组',
      writeComment: '编写评论...',
    },

    action: {
      activateUser: '激活用户',
      activateUser_title: '激活用户',
      addAnotherCard: '添加别的卡片',
      addAnotherList: '添加别的列表',
      addAnotherTask: '添加别的任务',
      addCard: '添加卡片',
      addCard_title: '添加卡片',
      addComment: '添加评论',
      addCustomField: '添加自定义字段',
      addCustomFieldGroup: '添加自定义字段组',
      addList: '添加列表',
      addMember: '添加成员',
      addMoreDetailedDescription: '添加更多详细描述',
      addTask: '添加任务',
      addTaskList: '添加任务列表',
      addToCard: '添加到卡片',
      addUser: '添加用户',
      addWebhook: '添加Webhook',
      archive: '归档',
      archiveCard: '归档卡片',
      archiveCard_title: '归档卡片',
      archiveCards: '归档多个卡片',
      archiveCards_title: '归档多个卡片',
      assignAsOwner: '指定为所有者',
      cancel: '取消',
      createBoard: '创建面板',
      createCustomFieldGroup: '创建自定义字段组',
      createFile: '创建文件',
      createLabel: '创建标签',
      createNewLabel: '创建新标签',
      createProject: '创建项目',
      deactivateUser: '停用用户',
      deactivateUser_title: '停用用户',
      delete: '删除',
      deleteAttachment: '删除附件',
      deleteAvatar: '删除头像',
      deleteBackgroundImage: '删除背景图片',
      deleteBoard: '删除面板',
      deleteBoard_title: '删除面板',
      deleteCard: '删除卡片',
      deleteCardForever: '永久删除卡片',
      deleteCard_title: '删除卡片',
      deleteComment: '删除评论',
      deleteCustomField: '删除自定义字段',
      deleteCustomFieldGroup: '删除自定义字段组',
      deleteForever_title: '永久删除',
      deleteGroup: '删除组',
      deleteLabel: '删除标签',
      deleteList: '删除列表',
      deleteList_title: '删除列表',
      deleteNotificationService: '删除通知服务',
      deleteProject: '删除项目',
      deleteProject_title: '删除项目',
      deleteTask: '删除任务',
      deleteTaskList: '删除任务列表',
      deleteTask_title: '删除任务',
      deleteUser: '删除用户',
      deleteUser_title: '删除用户',
      deleteWebhook: '删除Webhook',
      dismissAll: '全部忽略',
      duplicate: '复制卡片',
      duplicateCard_title: '复制卡片',
      edit: '编辑',
      editColor_title: '编辑颜色',
      editDescription_title: '编辑描述',
      editDueDate_title: '编辑到期时间',
      editEmail_title: '编辑邮箱',
      editGroup: '编辑组',
      editInformation_title: '编辑信息',
      editPassword_title: '编辑密码',
      editPermissions: '编辑权限',
      editRole_title: '编辑角色',
      editStopwatch_title: '编辑时间',
      editTitle_title: '编辑标题',
      editType_title: '编辑类型',
      editUsername_title: '编辑用户名',
      emptyTrash: '清空回收站',
      emptyTrash_title: '清空回收站',
      import: '导入',
      join: '加入',
      leave: '离开',
      leaveBoard: '离开面板',
      leaveProject: '离开项目',
      logOut_title: '退出',
      makeCover_title: '设置标题',
      makeProjectShared: '将项目设为共享',
      makeProjectShared_title: '将项目设为共享',
      move: '移动',
      moveCard_title: '移动卡片',
      remove: '删除',
      removeAssignee: '移除负责人',
      removeColor: '移除颜色',
      removeCover_title: '删除封面',
      removeFromBoard: '从面板中删除',
      removeFromProject: '从项目中删除',
      removeManager: '删除管理者',
      removeMember: '删除成员',
      restoreToList: '恢复到 {{list}}',
      returnToBoard: '返回面板',
      save: '保存',
      showActive: '显示活跃',
      showAllAttachments: '显示所有的附件 ({{hidden}} 隐藏)',
      showCardsWithThisUser: '显示包含此用户的卡片',
      showDeactivated: '显示已停用',
      showFewerAttachments: '显示较少的附件',
      showLess: '显示更少',
      showMore: '显示更多',
      sortList_title: '排序列表',
      start: '开始',
      stop: '结束',
      subscribe: '关注',
      unsubscribe: '取消关注',
      uploadNewAvatar: '上传新头像',
      uploadNewImage: '上传图片',
    },
  },
};
